Package io.dapr.client.domain

# Enum StateOptions.Concurrency

java.lang.Object
java.lang.Enum<StateOptions.Concurrency>
io.dapr.client.domain.StateOptions.Concurrency

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<StateOptions.Concurrency>`, `java.lang.constant.Constable`

Enclosing class:
  StateOptions

    public static enum StateOptions.Concurrency
    extends java.lang.Enum<StateOptions.Concurrency>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `FIRST_WRITE` |
  `LAST_WRITE` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static StateOptions.Concurrency` | `fromValue​(java.lang.String value)` |
  `java.lang.String` | `getValue()` |
  `static StateOptions.Concurrency` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static StateOptions.Concurrency[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FIRST_WRITE

    public static final StateOptions.Concurrency FIRST_WRITE

  - ### LAST_WRITE

    public static final StateOptions.Concurrency LAST_WRITE

- ## Method Details

  - ### values

    public static StateOptions.Concurrency[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static StateOptions.Concurrency valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getValue

    public java.lang.String getValue()

  - ### fromValue

    public static StateOptions.Concurrency fromValue​(java.lang.String value)